---
###############################################################
#                Authelia minimal configuration               #
###############################################################

server:
  address: 'tcp://:9091'
  tls:
    certificate: /pki/public.backend.crt
    key: /pki/private.backend.pem

log:
  level: debug

identity_validation:
  reset_password:
    jwt_secret: 'a_very_important_secret'

authentication_backend:
  file:
    path: /config/users.yml

session:
  secret: unsecure_session_secret
  cookies:
    - name: 'authelia_session'
      domain: 'example.com'
      authelia_url: 'https://login.example.com:8080'
      expiration: 3600  # 1 hour
      inactivity: 300  # 5 minutes
      remember_me: 1y

storage:
  encryption_key: a_not_so_secure_encryption_key
  local:
    path: /tmp/db.sqlite

access_control:
  default_policy: bypass
  rules:
    - domain: "public.example.com"
      policy: bypass
    - domain: "admin.example.com"
      policy: two_factor
    - domain: "secure.example.com"
      policy: two_factor
    - domain: "singlefactor.example.com"
      policy: one_factor
    - domain: "resources.example.com"
      policy: one_factor
      resources: ["^/resources"]
    - domain: "method.example.com"
      policy: one_factor
      methods: ["POST"]
    - domain: "network.example.com"
      policy: one_factor
      networks: ["192.168.1.0/24"]
    - domain: "group.example.com"
      policy: one_factor
      subject: ["group:basic"]
    - domain: "user.example.com"
      policy: one_factor
      subject: ["user:john"]

notifier:
  filesystem:
    filename: /tmp/notification.txt

totp:
  disable_reuse_security_policy: true
...
